module PMIx_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libpmix
const libpmix_path = "/usr/lib/libpmix.so.2"
libpmix_handle = C_NULL
get_libpmix_path() = libpmix_path
const libpmix = "libpmix.so.2"
export pmix_info
const pmix_info_path = "/usr/bin/pmix_info"
pmix_info(f::Function; kw...) = f(pmix_info_path)
pmix_info(; kw...) = Cmd([pmix_info_path])
function __init__()
    global libpmix_handle = dlopen(libpmix_path)
end
end
